import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomeComponent } from './components/pages/home/home.component';
import { DestinatarioComponent } from './components/pages/destinatario/destinatario.component';
import { PaymentProcessComponent } from './components/pages/payment-process/payment-process.component';
import { ActivateCardComponent } from './components/pages/activate-card/activate-card.component';
import { ConfirmationComponent } from './components/pages/confirmation/confirmation.component';
import { ConfigureCardComponent } from './components/pages/configure-card/configure-card.component';

const routes: Routes = [
  {path: '', pathMatch: 'full', redirectTo: 'home'},
  {path: 'home', component: HomeComponent},
  {path: 'receiver', component: DestinatarioComponent},
  {path: 'payment-process', component: PaymentProcessComponent},
  {path: 'activate-card', component: ActivateCardComponent},
  {path: 'confirmation', component: ConfirmationComponent},
  {path: 'configure-card', component: ConfigureCardComponent},

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
