import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';
import { ClientLayoutComponent } from './components/organism/client-layout/client-layout.component';
import { HomeComponent } from './components/pages/home/home.component';
import { MainContainerComponent } from './components/molecules/main-container/main-container.component';
import { FooterComponent } from './components/molecules/footer/footer.component';
import { HeaderComponent } from './components/molecules/header/header.component';
import { LogoComponent } from './components/atoms/logo/logo.component';
import { IconComponent } from './components/atoms/icon/icon.component';
import { GiftCardDetailComponent } from './components/molecules/gift-card-detail/gift-card-detail.component';
import { DestinatarioComponent } from './components/pages/destinatario/destinatario.component';
import { PaymentProcessComponent } from './components/pages/payment-process/payment-process.component';
import { ActivateCardComponent } from './components/pages/activate-card/activate-card.component';
import { CustomCardComponent } from './components/molecules/custom-card/custom-card.component';
import { ConfirmationComponent } from './components/pages/confirmation/confirmation.component';
import { ConfigureCardComponent } from './components/pages/configure-card/configure-card.component';

@NgModule({
  declarations: [
    AppComponent,
    ClientLayoutComponent,
    HomeComponent,
    MainContainerComponent,
    FooterComponent,
    HeaderComponent,
    LogoComponent,
    IconComponent,
    GiftCardDetailComponent,
    DestinatarioComponent,
    PaymentProcessComponent,
    ActivateCardComponent,
    CustomCardComponent,
    ConfirmationComponent,
    ConfigureCardComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
