/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./src/**/*.{html,js}"],
  theme: {
    extend: {
      colors: {
        'black': '#000000',
        'white': '#ffffff',
        'clear': 'transparent',
        'carbon-primary': '#1C1B1F',
        'carbon-secondary': '#17171B',
        'purple-primary': '#5D2BB7',
        'purple-primary-light': '#EEEBFF',
        'purple-primary-dark': '#3B1A75',
        'purple-secondary': '#8552E0',
        'purple-tertiary': '#BCB0F5',
        'purple-tertiary-light': '#BCB0F5',
        'gray-light':'#FAFAFA',
        'gray-primary': '#757E8A',
        'gray-secondary': '#C9D1D1',
        'gray-tertiary': '#576477',
        'gray-principal': '#E6EDEF',
        'gray-7070': '#707070',
        'gray-4141': '#414141',
        'gray-7474':'#747474',
        'gray-7979': '#797979',
        'gray-f8': '#F8F8FA',
        'gray-d9d9': '#D9D9D9',
        'gray-fade': 'rgba(28, 27, 31, 0.7)',
        'gray-p': '#616C7C',
        'gray-b8': '#B8BFD1',
        'gray-input': '#EEF2F2',
        'fary-500': '#B7BDBF',
        'success': '#75B8A4',
        'warning': '#F9A252',
        'error': '#F6604F',
        'coral-primary': '#FAE0E3'
      },
      borderRadius: {
        '5px': '5px',
        '8px': '8px',
        '10px': '10px',
        '20px': '20px'
      },
      borderWidth: {
        'base': '1px',
        'base-lg': '2px'
      },
      fontFamily: {
        sans: ['Graphik', 'sans-serif'],
        serif: ['Merriweather', 'serif'],
      },
    },
  },
  plugins: [],
}
